; ---------------------
; THE 'NEXT DIGIT' LOOP
; ---------------------
;   Within the 'DECIMAL TO FLOATING POINT' routine, swapping the multiply and
;   divide literals preserves accuracy and ensures that .5 is evaluated 
;   as 5/10 and not as .1 * 5.
;
;; NXT-DGT-1
L14E5:	RST 20H			; NEXT-CHAR
	CALL L1514		; routine STK-DIGIT
	JR C,L14F5		; forward to E-FORMAT

	RST 28H		;; FP-CALC

	DEFB $E0	;;get-mem-0

;;-	DEFB $A4	;;stk-ten
;;-	DEFB $04	;;+multiply

	.db $3C		;;macro mul-by-10

	DEFB $C0	;;st-mem-0
	DEFB $05	;;+division
	DEFB $0F	;;addition
	DEFB $34	;;end-calc

	JR L14E5		; loop back till exhausted to NXT-DGT-1
; ---
	.db $FF			; spare :)
;
;; E-FORMAT
