	.org $4082			; ========================= 16514
;
	jr address
;
;	=========================================================== 16516
;
	jr start
;
;	=========================================================== 16518
stop
	ld hl,(FRAMES)			; read the counter

	ld a,h				; then make it positive
	cpl				;
	ld b,a				;
	ld a,l				;
	cpl				;
	ld c,a				;
	inc bc				; and return with value in BC

	ret				; 
;
;	=================================================================
start
	ld hl,$4034			; sv FRAMES
	ld a,(hl)			; fetch the LSB
tstFRM
	cp (hl)				; next frame?
	jr z,tstFRM			; no, test again

	xor a				; clear A
	ld (hl),a			; and the LSB
	inc hl				; then
	ld (hl),a			; MSB of the counter
	ret				;
;
;	=================================================================
address
	ld hl,(VARS)		;
	ld bc,6			;
	add hl,bc		; Variables+6 => array(1)
	ld b,h			; save pointer
	ld c,l			; BC points element 1 of array A
	ret			;
